/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.basesecurity.manager;

import org.olat.basesecurity.Authentication;
import org.olat.basesecurity.AuthenticationImpl;
import org.olat.core.commons.persistence.DB;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 
 * Initial date: 3 janv. 2017<br>
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 *
 */
@Service
public class AuthenticationDAO {
	
	@Autowired
	private DB dbInstance;
	
	/**
	 * Quick update of the credential, don't do a full update of the authentication object.
	 * 
	 * @param auth
	 * @param token
	 */
	public void updateCredential(Authentication auth, String token) {
		StringBuilder sb = new StringBuilder();
		sb.append("update ").append(AuthenticationImpl.class.getName()).append(" set credential=:token where key=:authKey");
		dbInstance.getCurrentEntityManager()
			.createQuery(sb.toString())
			.setParameter("authKey", auth.getKey())
			.setParameter("token", token)
			.executeUpdate();
		dbInstance.commit();
	}

}
